## archivemount 1b

=== Makefile ===
# SPDX-License-Identifier: 0BSD


CC ?= cc
CXX ?= c++
PKG_CONFIG ?= pkg-config
FUSES ?= fuse3 fuse
VERSION ?= $(shell git describe)
DATE_EPOCH = LC_ALL=C date $(shell date -d @0 > /dev/null 2>&1 && echo "-d @" || echo "-r ")
SOURCE_DATE_EPOCH ?= $(shell git log -1 --no-show-signature --format=%at "archivemount.1.in")
MANUAL_DATE ?= $(shell $(DATE_EPOCH)$(SOURCE_DATE_EPOCH) +"%B %e, %Y")
PREFIX ?= /usr/local


ADD_L    := $(shell $(PKG_CONFIG) --cflags libarchive 2>/dev/null)                 $(shell for p in $(FUSES); do $(PKG_CONFIG) --cflags $$p && exit; done 2>/dev/null) -O3 -g -Wall -Wextra

CPPFLAGS += -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D__STDC_FORMAT_MACROS -DVERSION='"$(VERSION)"' $(if $(DEBUG),,-DNDEBUG)
CFLAGS   += $(ADD_L)
CXXFLAGS += $(ADD_L) -fno-exceptions -fno-rtti -Wno-missing-field-initializers -std=c++2b  # c++23 isn't understood by everyone
LDLIBS   += $(shell $(PKG_CONFIG) --libs libarchive 2>/dev/null || echo -larchive) $(shell for p in $(FUSES); do $(PKG_CONFIG) --libs $$p && exit; done 2>/dev/null; echo -l$(firstword $(FUSES)))


.PHONY: all check clean install

all: archivemount archivemount.1
clean:
	rm -rf archivemount archivemount.1
check: archivemount
	./test


install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/man/man1
	cp archivemount $(DESTDIR)$(PREFIX)/bin
	cp archivemount.1 $(DESTDIR)$(PREFIX)/share/man/man1

archivemount.1: archivemount.1.in
	awk '{ gsub(/ \^/, " \\(ha"); gsub(/ ~/, " \\(ti"); if($$1 == ".Dd") $$2 = "$(MANUAL_DATE)"; if($$1 == ".Dt") print ".ds doc-volume-operating-system"; if($$1 == ".Os") $$2 = "archivemount-ng $(VERSION)"; print}' < $< > $@

## archivemount 0.6.1

=== debian/changelog ===
archivemount (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: Bug#587029)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Fri, 09 Jul 2010 22:08:17 +0300

=== debian/control ===
Source: archivemount
Section: utils
Priority: optional
Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev
Standards-Version: 3.9.0
Homepage: http://www.cybernoia.de/software/archivemount/

Package: archivemount
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse-utils (>=2.7)
Description: mounts an archive for access as a file system
 archivemount is a FUSE based file system for Unix variants, including Linux.
 Its purpose is to mount archives to a mount point where it can be read from 
 or written to as with any other file system.
 This makes accessing the contents of the archive, which maybe compressed,
 transparent to other programs, without decompressing them.
 .
 The archive formats that archivemount supports are:
  * old-style tar archives
  * most variants of the POSIX “ustar” format
  * the POSIX “pax interchange” format
  * GNU-format tar archives
  * most common cpio archive formats
  * ISO9660 CD images (with or without RockRidge extensions)
  * Zip archives
  * two different variants of shar archives
 .
 archivemount is FUSE (Filesystem in USErspace).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

INSTALL_PROGRAM = /usr/bin/install -c
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info 

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/archivemount mandir=/usr/share/man INSTALL_PROGRAM="$(INSTALL_PROGRAM)"

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs 
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://www.cybernoia.de/software/archivemount/archivemount-(.*)\.tar\.gz

## archivemount 0.8.1

=== debian/changelog ===
archivemount (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped S-V to 3.9.4.
  * Lintian cleaning.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Thu, 15 Aug 2013 19:12:16 +0300

archivemount (0.6.1-3) unstable; urgency=low

  * Bumped S-V to 3.9.3
  * Fixed lintian warnings about debian/rules file concerning build-arch
    and build-indep recommended target.
  * Fixed lintian warning about debian/copyright file concerning template
    markers.
  * Changed typographic quotation marks in debian/control file to 
    single quotation marks. (Closes: Bug#687009)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 09 Sep 2012 17:25:39 +0300

archivemount (0.6.1-2) unstable; urgency=low

  * Updated S-V to 3.9.2
  * Changed Architecture field in debian/control file so the package compiles
    only in linux specific architectures.
    (Closes: Bug#613119)
  * Change the dependency on fuse-utils to fuse (>=2.8.5-2). Since
    fuse 2.8.5-2 fuse-utils package is only a transitional dummy package.
  * Change debian/rules to keep a backup copy of config.guess in the
    configure target which will be restored in the clean target, to keep
    the diff.gz clean. Thanks to Sven Hoexter.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 28 May 2011 15:32:37 +0200

=== debian/control ===
Source: archivemount
Section: utils
Priority: optional
Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://www.cybernoia.de/software/archivemount/

Package: archivemount
Architecture: linux-any 
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse (>=2.8.5-2)
Description: mounts an archive for access as a file system
 archivemount is a FUSE based file system for Unix variants, including Linux.
 Its purpose is to mount archives to a mount point where it can be read from 
 or written to as with any other file system.
 This makes accessing the contents of the archive, which maybe compressed,
 transparent to other programs, without decompressing them.
 The archive formats that archivemount supports are:
  *   old-style tar archives,
  .
  *   most variants of the POSIX 'ustar' format,
  .
  *   the POSIX 'pax interchange' format,
  .
  *   GNU-format tar archives,
  .
  *   most common cpio archive formats,
  .
  *   ISO9660 CD images (with or without RockRidge extensions),
  .
  *   Zip archives.
  .
  *   two different variants of shar archives.   
  .
 archivemount is FUSE (Filesystem in USErspace).

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,14 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 INSTALL_PROGRAM = /usr/bin/install -c
-CFLAGS = -Wall -g
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -g
+LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -22,23 +28,20 @@
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info 
 
 build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp configure-stamp
+	rm -rf autom4te.cache
 	[ ! -f Makefile ] || $(MAKE) distclean
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
 	dh_clean 
 
 install: build
@@ -57,6 +60,7 @@
 	dh_install
 	dh_installman
 	dh_link
+	dh_lintian
 	dh_strip
 	dh_compress
 	dh_fixperms

## archivemount 0.8.3

=== debian/changelog ===
archivemount (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.5.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 29 Jun 2014 11:39:19 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.cybernoia.de/software/archivemount/
 
 Package: archivemount

## archivemount 0.8.5

=== debian/changelog ===
archivemount (0.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Tue, 30 Jun 2015 00:08:46 +0300

archivemount (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.6.
  * Lintian cleaning.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sat, 30 May 2015 20:11:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: archivemount
 Section: utils
 Priority: optional
-Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
+Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.cybernoia.de/software/archivemount/
 
 Package: archivemount

=== debian/watch ===
version=3
http://www.cybernoia.de/software/archivemount/archivemount-(.*)\.tar\.gz

## archivemount 0.8.7

=== debian/changelog ===
archivemount (0.8.7-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:19:38 +1100

archivemount (0.8.7-1build2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:17:16 +0000

archivemount (0.8.7-1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:48:27 +0000

archivemount (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V to 3.9.8.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Sat, 30 Jul 2016 13:11:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: archivemount
 Section: utils
 Priority: optional
-Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.cybernoia.de/software/archivemount/
 
 Package: archivemount

## archivemount 1

=== debian/changelog ===
archivemount (1-1) unstable; urgency=medium

  * New upstream version 1 (+ changelog & NEWS)
    (Closes: #687710, #799563, #832823, #838597, #891749, #974679)
  * New debian/
    + Vcs-Git: https://salsa.debian.org/nabijaczleweli/archivemount.git
    + Standards-Version:  3.9.8 -> 4.7.0
    + debhelper compat level: 7 -> 13

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 20 Aug 2024 17:52:36 +0200

=== debian/control ===
Source: archivemount
Section: utils
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.7.0
Homepage: https://sr.ht/~nabijaczleweli/archivemount-ng
Rules-Requires-Root: no
# Also at https://git.sr.ht/~nabijaczleweli/archivemount.deb
Vcs-Git: https://salsa.debian.org/nabijaczleweli/archivemount.git
Vcs-Browser: https://salsa.debian.org/nabijaczleweli/archivemount
Build-Depends: debhelper,
               debhelper-compat (= 13),
               libfuse3-dev,
               libarchive-dev,
               pkgconf,
               liblz4-dev

Package: archivemount
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse3
Description: mounts an archive or compressed file for access as a filesystem
 archivemount mounts an optionally-compressed archive as a FUSE file system,
 also allowing it to be written to and updated on unmount.
 .
 A plethora of archive formats are supported: tar (all variants), ISO9660,
 Zip/RAR, cpio, ar...
 .
 With -o formatraw the same can be done with any compressed file.

=== debian/tests/control ===
Tests: test
Depends: @, fuse3

## archivemount 1a

=== debian/changelog ===
archivemount (1a-1) unstable; urgency=medium

  * d/tests/test: shebang /bin/test(?!) -> /bin/sh
  * New upstream version 1a
  * Update upstream changelog
  * Update upstream NEWS
  * d/tests/control: Restrictions: isolation-machine to load fuse.ko

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 21 Dec 2024 16:00:13 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libfuse3-dev,
                libarchive-dev,
                pkgconf,
-               liblz4-dev
 
 Package: archivemount
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_OPTIONS += notrimdch


export PREFIX := /usr
export VERSION := $(shell IFS="$$IFS()" read -r _ v _ < debian/changelog && echo "$$v")
export TZ := UTC0


override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs README
	cp debian/NEWS.upstream debian/archivemount/usr/share/doc/archivemount/NEWS

# Test needs fuse3, we run this as an autopkgtest
override_dh_auto_test:


%:
	dh $@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s:$:.asc:" \
	https://git.sr.ht/~nabijaczleweli/archivemount-ng/refs .*/([0-9][0-9a-zA-Z]*)@ARCHIVE_EXT@

## archivemount 1b

=== debian/changelog ===
archivemount (1b-1) unstable; urgency=medium

  * New upstream version 1b (+ changelog & NEWS)
    Closes: #1105758

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 14 May 2025 16:06:03 +0200

=== debian/tests/control ===
Tests: test
Depends: @, fuse3
Restrictions: isolation-machine
# Needs to load fuse.ko
